# redux-store-generator

// type A = `prefix_${number}`;

// const x: A = 'prefix_500';
// const y: A = 'prefix_ssss';

## local actions

Verbs without remote side effects

| nodeType   | verb     |
| ---------- | -------- |
| single     | setAll   |
| queue      | setAll   |
| queue      | pushMany |
| collection | setAll   |
| collection | setMany  |
| collection | set      |

## API actions

Verbs with remote side effects

| nodeType   | verb   | onResponse |
| ---------- | ------ | ---------- |
| single     | get    | set        |
| single     | patch  | =          |
| queue      | get    | pushMany   |
| queue      | push   | =          |
| queue      | pop    | =          |
| queue      | clear  | =          |
| collection | get    | setMany    |
| collection | add    | set        |
| collection | patch  | =          |
| collection | delete | =          |

### Nodemon

    "events2": {
        "restart": "osascript -e 'display notification \"App restarted due to:\n'$FILENAME'\" with title \"nodemon\"'"
    },
