import { Action } from 'redux-store-generator';
import dispatchP from '../sagas/_utils/dispatchP';
import * as report from '../utils/report';

export const connectedMiddleware = (store: any) => (next: any) => async (
    action: Action
) => {
    report.input('connectedMiddleware', { action });
    const actionResponse = await dispatchP(action);
    report.output('connectedMiddleware', actionResponse);

    next(actionResponse.nextAction);

    return actionResponse.response;
};
