import { Action } from 'redux-store-generator';
import { EndpointsConfig, ApiStatuses, Sagas, SagaState } from './../types/types';
export declare const lastAction: (state: null | undefined, action: Action) => Action;
export declare const apiSettings: (state: Record<string, any> | undefined, action: Action) => Record<string, any> | undefined;
export declare const apiStats: (state: Record<string, any> | undefined, action: Action) => Record<string, any> | undefined;
export declare const apiEndpointsConfig: (state: EndpointsConfig, action: Action) => any;
export declare const apiStatus: (state: ApiStatuses, action: Action) => any;
export declare const apiActionTypes: (state: Record<string, any> | undefined, action: Action) => Record<string, any> | undefined;
export declare const apiNodeTypes: (state: Record<string, any> | undefined, action: Action) => Record<string, any> | undefined;
export declare const generateApiReducersForStore: () => {
    _api: import("redux").Reducer<import("redux").CombinedState<{
        apiGlobalSettings: Record<string, any> | undefined;
        apiGlobalStats: Record<string, any> | undefined;
        endpointsConfig: any;
        status: any;
        actionTypes: Record<string, any> | undefined;
        nodeTypes: Record<string, any> | undefined;
        requests: any;
    }>, Action>;
};
export declare const generateSagasReducersForStore: () => {
    _sagas: (state: Record<keyof Sagas, SagaState>, action: Action) => any;
};
