import { ApiVerb, NodeType } from 'redux-store-generator';
import { ApiRequest } from '../../types/types';
export declare class RequestBuilder {
    private output;
    private id;
    constructor();
    withNodeName(value: string): this;
    withMethod(value: ApiVerb): this;
    withNodeType(value: NodeType): this;
    withParams(value?: Record<string, any>): this;
    withResolve(value: any): this;
    withReject(value: any): this;
    withId(value: string): this;
    build(): ApiRequest;
}
